Add Code Access Key

post

Creates a new code and either assigns it to a new or existing user.

Authorizations
AuthorizationstringRequired

Enter the Bearer Authorization string as following: Bearer Generated-JWT-Token

Body

Contains details for creating a new code access key.

userIdstring · uuid · nullableOptional

UUID of the existing user to assign the access key to. To create a new user, userId must be omitted.

userFirstNamestring · nullableOptional

(optional) First name of the user.

userLastNamestring · nullableOptional

(optional) Last name of the user.

codestringRequired

Set to * to automatically generate a code. This is the recommended way to create a code. To explicitly set a code, a code consisting of 4-8 digits must be specified.

keyNamestring · nullableOptional

(optional) A name of the access key. The name will be included in any notifications sent to the user to refer to this particular access key.

accessesstring · uuid[]Required

A list of accesses, specified by id, that should be authorized to the access key.

validFromstring · nullableOptional

(optional) ISO 8601 formatted date from where the access key becomes active. If omitted, the access key will be active immediately after creation.

validTostring · nullableOptional

(optional) ISO 8601 formatted date from where the access key expires. If omitted, the access key will never expire.

mobilePhoneNumberstring · nullableOptional

A E.164 formatted mobile phone number that should be associated to the user. The mobile phone number will be associated to the user as a secondary identity, used for SMS notifications and other mobile features.

sendNotificationboolean · nullableOptional

Specifies if the code should be sent as a notification to the user true, or not false. Defaults to true.

Responses
post
/integrator/v1/accesskeys/code

Last updated